Subject: Re: [PATCH net-next 1/3] flow_offload: allow user to offload tc action to net device

From: Simon Horman <[email-masked]>
Date: Tue, 3 Aug 2021 14:31:56 +0200

On Tue, Aug 03, 2021 at 07:45:13AM -0400, Jamal Hadi Salim wrote:
> On 2021-08-03 7:36 a.m., Simon Horman wrote:
> > On Tue, Aug 03, 2021 at 06:14:08AM -0400, Jamal Hadi Salim wrote:
> > > On 2021-07-30 9:20 a.m., Simon Horman wrote:
> 
> [..]
> 
> > > Example of something you could show was adding a policer,
> > > like so:
> > > 
> > > tc actions add action ... skip_sw...
> > > 
> > > then show get or dump showing things in h/w.
> > > And del..
> > > 
> > > And i certainly hope that the above works and it is
> > > not meant just for the consumption of some OVS use
> > > case.
> > 
> > I agree it would be useful to include a tc cli example in the cover letter.
> > I'll see about making that so in v2.
> > 
> 
> Thanks. That will remove 95% of my commentary.

:)

> Check my other comment on the user space notification.
> I was just looking at the way classifiers handle things from this
> perspective and they dont return to cls_api until completion so
> the notification gets sent after both h/w and software succeed...

Thanks, I will look into this. But it would make my life slightly easier if

a) You could be more specific about what portion of cls_api you are
   referring to.
b) Constrained comments to a topic to a single sub-thread.